<?php

namespace EventPortal\Domain\Form\Facades;

use EventPortal\Domain\Form\FormRegistry;
use Illuminate\Support\Facades\Facade;

/**
 * @method \EventPortal\Domain\Form\Form make(string $formName)
 * @method \EventPortal\Domain\Form\Form validate(array $input)
 * @method \EventPortal\Domain\Form\Form addFields(callable $fields)
 * @method \EventPortal\Domain\Form\Form model(\Illuminate\Database\Eloquent\Model $model)
 * @method \EventPortal\Domain\Form\Form context(array $models)
 * @method \EventPortal\Domain\Form\Form save(array $input)
 */
class Form extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return FormRegistry::class;
    }
}
